Package com.plannaplan.models

# Class UserApiResponse

java.lang.Object
com.plannaplan.models.UserApiResponse

    public class UserApiResponse
    extends java.lang.Object

Model to keep data from /services/users/user response called in UsosApiService

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`UserApiResponse()` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`java.lang.String` | `getName()` |
`java.lang.String` | `getSurname()` |
`void` | `setName​(java.lang.String name)` | setter for surname.
`void` | `setSurname​(java.lang.String surname)` | setter for name.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UserApiResponse

public UserApiResponse()

## Method Details

### getSurname

public java.lang.String getSurname()

Returns:
  user's Surname

### setSurname

public void setSurname​(java.lang.String surname)
setter for name. Reson to have setters for this class is for case if there would be name and no surname or otherwise

Parameters:
  `surname` - name to set that was obtained by api request

### getName

public java.lang.String getName()

Returns:
  user's Name

### setName

public void setName​(java.lang.String name)
setter for surname. Reson to have setters for this class is for case if there would be name and no surname or otherwise

Parameters:
  `name` - name to set that was obtained by api request